Subject: Re: Setting of push.default or confusion about refspecs

From: Kendall Shaw <[email-masked]>
Date: Mon, 03 Jun 2013 16:21:38 -0700

On 06/03/2013 03:01 PM, Kendall Shaw wrote:
> ... Regarding the upstream branch, I have in .git/config
>
> [remote "origin"]
> url = http://example.com/blah
> fetch = +refs/heads/*:refs/remotes/origin/*
>
> [branch "master"]
> remote = origin
> merge = refs/heads/master
>
> git config -l shows
>
> branch.master.remote=origin
> branch.master.merge=refs/heads/master
>
> When in branch master, is the upstream branch refs/heads/master?
>
> Then, I think I can get push to push to refs/remotes/origin/master by 
> setting push.default to upstream, is that right?

I bit the wax tadpole and tried it. I think setting push.default set to 
upstream does what I thought.

Kendall